Create Chat Completion
curl --request POST \
--url https://api.example.com/v1/chat/completions/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"messages": [
{}
]
}
'import requests
url = "https://api.example.com/v1/chat/completions/"
payload = {
"model": "<string>",
"messages": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', messages: [{}]})
};
fetch('https://api.example.com/v1/chat/completions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choices": [
{
"message": {
"content": "<unknown>"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Chat Completion
Create a new chat completion.
POST
/
v1
/
chat
/
completions
/
Create Chat Completion
Was this page helpful?
⌘I